raster "save as..." to be improved when asking for output when using the "create VRT" option
Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 16061

Description

When using the "save as..." raster dialog together with the "create VRT" option it asks to select an output folder.

It happens that the dialog gives automatically the output VRT file the same name as the folder, and of the user tries to choose a different

name it gets a "path does not exist" message.

Tagging as blocker as new features should work ok before releasing the new QGIS version.

Related issues:

Duplicated by QGIS Application - Bug report # 6952: raster "save as..." dialo... Closed 2013-01-06

History

#1 - 2013-05-16 04:25 AM - Giovanni Manghi

this is not duplicate of #6952

NOTE

there is an issue also with output tif files as they are written without the extension

#2 - 2013-05-30 07:58 AM - Radim Blazek

- Assignee set to Radim Blazek

#3 - 2013-05-30 09:01 AM - Radim Blazek

- Status changed from Open to Feedback

It was expected, that only one VRT will be written to a directory, it is feature, not bug. If VRT is checked, user can only select a directory. It may be

reconsidered and changed to file if we are sure that it is better and really desired.

In any case, the dialog is not perfect, because it is difficult to define what should happen if a file was selected (including file extension) and then the format

is changed. Automatically change extension? It may be problematic if user entered some strange name with dots.

I suggested in Essen to ask for the output file name when OK is clicked, but Tim did not like it because he is used to type output file name instead of to

select it in a dialog and he does not want another popup window.

#4 - 2013-05-30 01:40 PM - Giovanni Manghi

Note:

the following answer is strictly from a user point of view.
It was expected, that only one VRT will be written to a directory, it is feature, not bug. If VRT is checked, user can only select a directory. It may be

reconsidered and changed to file if we are sure that it is better and really desired.

The user would expect another thing: in gdal tools when a VRT is created, the user chooses an input files/folder and then the output VRT file. The user

would expect the same in the "save as..." raster dialog.

In any case, the dialog is not perfect, because it is difficult to define what should happen if a file was selected (including file extension) and then the

format is changed. Automatically change extension? It may be problematic if user entered some strange name with dots.

if there are very important technical reasons then you may want to close this, otherwise this should be left open for future consideration (as bug, imho),

because is really sub optimal.

I suggested in Essen to ask for the output file name when OK is clicked, but Tim did not like it because he is used to type output file name instead of

to select it in a dialog and he does not want another popup window.

I can't see why should be opened a new pop-up. Right now it opens one asking for a folder, the same one should just allow write a output file name.

cheers!

#5 - 2013-05-31 01:19 AM - Radim Blazek

Giovanni Manghi wrote:

In any case, the dialog is not perfect, because it is difficult to define what should happen if a file was selected (including file extension) and then the

format is changed. Automatically change extension? It may be problematic if user entered some strange name with dots.

if there are very important technical reasons then you may want to close this, otherwise this should be left open for future consideration (as bug,

imho), because is really sub optimal.

There are no technical problems, there is just missing optimal solution proposal.

I suggested in Essen to ask for the output file name when OK is clicked, but Tim did not like it because he is used to type output file name instead

of to select it in a dialog and he does not want another popup window.

I can't see why should be opened a new pop-up. Right now it opens one asking for a folder, the same one should just allow write a output file name.

It opens the dialog if you click on browse button, but you can also type the output file name directly in save as dialog and that means one dialog less.

#6 - 2013-05-31 01:29 AM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

- Status changed from Feedback to Open

There are no technical problems, there is just missing optimal solution proposal.
may be we would need a new category like "to be improved".

#7 - 2013-05-31 01:59 AM - Radim Blazek

Giovanni Manghi wrote:

It was expected, that only one VRT will be written to a directory, it is feature, not bug. If VRT is checked, user can only select a directory. It may be

reconsidered and changed to file if we are sure that it is better and really desired.

The user would expect another thing: in gdal tools when a VRT is created, the user chooses an input files/folder and then the output VRT file. The

user would expect the same in the "save as..." raster dialog.

Another user wants to keep output raster in a separate directory and does not want to create new directory + select new file.

#8 - 2013-05-31 02:05 AM - Giovanni Manghi

- Subject changed from raster "save as..." bug when asking for output when using the "create VRT" option to raster "save as..." to be improved when 

asking for output when using the "create VRT" option

- Tracker changed from Bug report to Feature request

Another user wants to keep output raster in a separate directory and does not want to create new directory + select new file.

right, this is why I already downgraded the ticket. And now also made it a feature.

#9 - 2014-06-20 04:14 AM - Giovanni Manghi

- Category changed from Rasters to GUI

- Assignee deleted (Radim Blazek)

- Target version changed from Version 2.0.0 to Version 2.4

#10 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#11 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
